$( document ).ready(function() {

    //navbar mobile
    $('.nb-mobile-icon').click(function(){
        console.log('nb-mobile-icon');
        $('.nb-mobile').toggleClass('active');
        $('.bars').toggleClass('active');
        $('.arrow').toggleClass('active');
    });

    //navbar mobile-- 第二層選單收合
    $('.nb-mobile-arrow').click(function(){
        console.log('nb-mobile-arrow');
        $(this).parent().parent().find('.nb-mobile-secItem').toggleClass('active');
        $(this).children('.fa-angle-up').toggleClass('active');
        $(this).children('.fa-angle-down').toggleClass('active');
    });

    //navbar mobile-- 第三層選單收合
    $('.nb-mobile-arrow-third').click(function(){
        $(this).children('.fa-arrow-third').toggleClass('is-rotate');
        $(this).parent().parent().find('.nb-mobile-thdItem').toggleClass('is-show');
        $(this).parent().find('.multi-section-head-sub').toggleClass('is-chosen');
    })
    

    //跳出下拉選單及mask
    $('.st-mobile-mask').click(function(){
        console.log('st-mobile-mask');
        $('.st-mobile-overlay').toggleClass('active');
        $(document.body).toggleClass('active');
        $(document.body).css('overflow','auto');
    })
    
    //跳出下拉選單結果
    $('#mb-column-tab').click(function(){
        console.log('mb-column-tab');
        $('.st-mobile-button').hide();
        $('.st-mobile-itemList').addClass("bottom-line");
    })

    //item-card
    $('.item-card-options-list').click(function(){
        $('#item-card-media').toggle();
        $('#share1').toggleClass('active');
        $('#share2').toggleClass('active');
        $('#close').toggleClass('active');
    });

    //全站搜尋
    $('#searchall').click(function(){
        console.log('searchall');

        $(window).scroll(function(){
            var y = $('.searchall-mask').height();
            if(y > 0){
                window.scrollTo(0,0);
            }

            // var pageY = window.pageYOffset;
            // if( pageY > 0 ){
            //     console.log(pageY);
            //     window.scrollTo(0,pageY + 'px');
            // }
        })

        $('.searchall-overlay').toggleClass('active');
    });

    $('.searchall-mask').click(function(){
        console.log('searchall-mask');
        $('.searchall-overlay').toggleClass('active');
    });

    $('#searchall-input-text').click(function(){
        $('#searchall-input-text').addClass('accent-text');
    });

    //轉寄視窗 v2
    $('.fm-close').click(function(){
        console.log('fm-close');
        $('.fm-email-btnWrapper').toggleClass('active');
    })

    $('a[type="submit"]').click(function(){
        Swal.fire({
            icon: 'success',
            title: '發送成功',
            showConfirmButton: false,
            timer: 1500
        })
    });

    //登入頁密碼圖示
    $('#eye').click(function(){
        $('#inputPassword').attr('type', $('#inputPassword').is('[type = password]')? 'text' : 'password');
        if( $('#inputPassword').attr('type') === 'password'){
            $('#eye').removeClass('fa-eye').addClass('fa-eye-slash');
        }else{
            $('#eye').removeClass('fa-eye-slash').addClass('fa-eye')
        }
    })

    //scroll-top btn
    $('.top-btn').click(function(){
        $('html, body').animate({
            scrollTop:0
        },800)
    });

    $(window).scroll(function(){
        // console.log($(this).scrollTop());
        if ( $(this).scrollTop() >= 200 ){
            $('.top-btn').css('visibility', 'visible').fadeIn();
        }else{
            $('.top-btn').fadeOut();
        }
    });

    // 列表 gotop btn
    $('.gotop-btn').click(function(){
        $('html, body').animate({
            scrollTop:0
        },800)
    });

    // 側邊廣告收合- 挑設計、設計師
    $('.search-bar-aside-text').click(function(){
        $('.search-bar-aside-arrow').toggleClass('is-rotate');
        $('.search-bar-aside').toggleClass('is-hidden')
    })
});


